[ < ] | [ > ] |  | [ << ] | [ Up ] | [ >> ] |  |  |  |  | [Top] | [Contents] | [Index] | [ ? ]

# 1. Introduction

FFplay is a very simple and portable media player using the FFmpeg libraries and the SDL library. It is mostly used as a testbed for the various FFmpeg APIs.

[ < ] | [ > ] |  | [ << ] | [ Up ] | [ >> ] |  |  |  |  | [Top] | [Contents] | [Index] | [ ? ]

# 2. Invocation

[ < ] | [ > ] |  | [ << ] | [ Up ] | [ >> ] |  |  |  |  | [Top] | [Contents] | [Index] | [ ? ]

## 2.1 Syntax

    ffplay [options] `input_file'

[ < ] | [ > ] |  | [ << ] | [ Up ] | [ >> ] |  |  |  |  | [Top] | [Contents] | [Index] | [ ? ]

## 2.2 Main options

``-h'`

  Show help.

``-version'`

  Show version.

``-L'`

  Show license.

``-formats'`

  Show available formats, codecs, protocols, ...

``-x width'`

  Force displayed width.

``-y height'`

  Force displayed height.

``-s size'`

  Set frame size (WxH or abbreviation), needed for videos which don't contain a header with the frame size like raw YUV.

``-an'`

  Disable audio.

``-vn'`

  Disable video.

``-ss pos'`

  Seek to a given position in seconds.

``-bytes'`

  Seek by bytes.

``-nodisp'`

  Disable graphical display.

``-f fmt'`

  Force format.

[ < ] | [ > ] |  | [ << ] | [ Up ] | [ >> ] |  |  |  |  | [Top] | [Contents] | [Index] | [ ? ]

## 2.3 Advanced options

``-pix_fmt format'`

  Set pixel format.

``-stats'`

  Show the stream duration, the codec parameters, the current position in the stream and the audio/video synchronisation drift.

``-debug'`

  Print specific debug info.

``-bug'`

  Work around bugs.

``-vismv'`

  Visualize motion vectors.

``-fast'`

  Non-spec-compliant optimizations.

``-genpts'`

  Generate pts.

``-rtp_tcp'`

  Force RTP/TCP protocol usage instead of RTP/UDP. It is only meaningful if you are streaming with the RTSP protocol.

``-sync type'`

  Set the master clock to audio (`type=audio`), video (`type=video`) or external (`type=ext`). Default is audio. The master clock is used to control audio-video synchronization. Most media players use audio as master clock, but in some cases (streaming or high quality broadcast) it is necessary to change that. This option is mainly used for debugging purposes.

``-threads count'`

  Set the thread count.

[ < ] | [ > ] |  | [ << ] | [ Up ] | [ >> ] |  |  |  |  | [Top] | [Contents] | [Index] | [ ? ]

## 2.4 While playing

`q, ESC`

  Quit.

`f`

  Toggle full screen.

`p, SPC`

  Pause.

`a`

  Cycle audio channel.

`v`

  Cycle video channel.

`w`

  Show audio waves.

`left/right`

  Seek backward/forward 10 seconds.

`down/up`

  Seek backward/forward 1 minute.

`mouse click`

  Seek to percentage in file corresponding to fraction of width.

[Top] | [Contents] | [Index] | [ ? ]

# About This Document

This document was generated by Charlie & on November, 13 2008 using texi2html 1.76.

The buttons in the navigation panels have the following meaning:

Button | Name | Go to | From 1.2.3 go to
--- | --- | --- | ---
[ < ] | Back | previous section in reading order | 1.2.2
[ > ] | Forward | next section in reading order | 1.2.4
[ << ] | FastBack | beginning of this chapter or previous chapter | 1
[ Up ] | Up | up section | 1.2
[ >> ] | FastForward | next chapter | 2
[Top] | Top | cover (top) of document |
[Contents] | Contents | table of contents |
[Index] | Index | index |
[ ? ] | About | about (help) |

where the Example assumes that the current position is at Subsubsection One-Two-Three of a document of the following structure:

- 1. Section One
  - 1.1 Subsection One-One
    - ...
  - 1.2 Subsection One-Two
    - 1.2.1 Subsubsection One-Two-One
    - 1.2.2 Subsubsection One-Two-Two
    - 1.2.3 Subsubsection One-Two-Three <== Current Position
    - 1.2.4 Subsubsection One-Two-Four
  - 1.3 Subsection One-Three
    - ...
  - 1.4 Subsection One-Four

This document was generated by Charlie & on November, 13 2008 using texi2html 1.76.